Subject: [BK PATCH] PCI fixes for 2.6.4-rc1
From: Greg KH <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]

Hi,

Here are some small PCI and PCI hotplug fixes for 2.6.4-rc1.  With these
patches, the ARM tree should build properly now as well as the shpc
driver will not oops.

I _really_ wanted to get the PCI Express support in with this set of
patches, but the patch in the -mm tree breaks any box that is in the
ACPI quirks table.  Then the patches that tried to fix that problem
broke all of my boxes (ones without PCI Express and with PCI Express.)
So the PCI Express code is not stable enough yet for mainline,
unfortunately :(

Good news is I now have hardware to test on, so PCI Express support has
a chance to make it into the tree (thanks a lot to Intel for this...)

Please pull from:
	bk://kernel.bkbits.net/gregkh/linux/pci-2.6

thanks,

greg k-h

p.s. I'll send these as patches in response to this email to lkml for
those who want to see them.

 drivers/pci/hotplug/Kconfig       |    4 +--
 drivers/pci/hotplug/Makefile      |   37 ++++++++++------------------
 drivers/pci/hotplug/pciehp_ctrl.c |    2 +
 drivers/pci/hotplug/rpaphp.h      |    2 -
 drivers/pci/hotplug/rpaphp_core.c |    4 ---
 drivers/pci/hotplug/shpchp.h      |    4 +--
 drivers/pci/hotplug/shpchp_ctrl.c |    2 +
 drivers/pci/hotplug/shpchp_hpc.c  |   49 ++++++++++++++++++++++----------------
 drivers/pci/pci.c                 |    5 ---
 drivers/pci/probe.c               |    4 +++
 drivers/pci/setup-bus.c           |   22 +++++++----------
 drivers/pci/setup-res.c           |    5 ++-
 include/linux/pci.h               |    2 +
 13 files changed, 71 insertions(+), 71 deletions(-)
-----

<lxiep:ltcfwd.linux.ibm.com>:
  o PCI Hotplug: fix rpaphp bugs

<rmk-pci:arm.linux.org.uk>:
  o PCI: Introduce bus->bridge_ctl member
  o PCI: Don't report pci_request_regions() failure twice
  o PCI: Report meaningful error for failed resource allocation

Dely Sy:
  o PCI Hotplug: Patch to get polling mode in SHPC hot-plug driver properly working

Greg Kroah-Hartman:
  o PCI Hotplug: clean up the Makefile a bit more
  o PCI Hotplug: remove unneeded ACPI Makefile rules